Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
Class ReflectionMethodInvoker

Utility class to call methods through reflection, and falls through using the `Invoker` to call the method if it fails. The class is particularly useful for Groovy classes implementing `GroovyIntercpetable`, since it is not possible to call any method from this class, because it is intercepted by the `invokeMethod()` method.

author:
  Guillaume Laforge

Constructor Summary
`ReflectionMethodInvoker()`

Method Summary
`static Object` | `invoke(Object object, String methodName, def parameters)` Invoke a method through reflection.

Constructor Detail

### ReflectionMethodInvoker

    ReflectionMethodInvoker()

Method Detail

### invoke

    public static Object invoke(Object object, String methodName, def parameters)

  Invoke a method through reflection. Falls through to using the Invoker to call the method in case the reflection call fails..
  param:
    object the object on which to invoke a method
  param:
    methodName the name of the method to invoke
  param:
    parameters the parameters of the method call
  return:
    the result of the method call